package com.sinosig.core.module.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;

/**
 * 实体[交强险信息]
 */
public class JQXXX implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 交强险信息标识 属性
     */
    private String JQXXXId;

    @JsonIgnore
    private boolean JQXXXIdDirtyFlag;

    /**
     * 费率系数 属性
     */
    private Double Flxs;

    @JsonIgnore
    private boolean FlxsDirtyFlag;

    /**
     * 基准保费 属性
     */
    private BigDecimal Jzbf;

    @JsonIgnore
    private boolean JzbfDirtyFlag;

    /**
     * 实交保费 属性
     */
    private BigDecimal Sjbf;

    @JsonIgnore
    private boolean SjbfDirtyFlag;

    /**
     * 责任限额 属性
     */
    private BigDecimal Zrxe;

    @JsonIgnore
    private boolean ZrxeDirtyFlag;

    /**
     * 交强险信息名称 属性
     */
    private String JQXXXName;

    @JsonIgnore
    private boolean JQXXXNameDirtyFlag;

    /**
     * 更新时间 属性
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;

    /**
     * 建立人 属性
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;

    /**
     * 条款代码 属性
     */
    private String Tkdm;

    @JsonIgnore
    private boolean TkdmDirtyFlag;

    /**
     * 建立时间 属性
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;

    /**
     * 条款名称 属性
     */
    private String Tkmc;

    @JsonIgnore
    private boolean TkmcDirtyFlag;

    /**
     * 更新人 属性
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;

    /**
     * 车险单标识 属性
     */
    private String CIDId;

    @JsonIgnore
    private boolean CIDIdDirtyFlag;


    /**
     * 获取 [交强险信息标识]
     */
    public String getJQXXXId(){
        return JQXXXId ;
    }

    /**
     * 设置 [交强险信息标识]
     */
    public void setJQXXXId(String  jQXXXId){
        this.JQXXXId = jQXXXId ;
        this.JQXXXIdDirtyFlag = true ;
    }

    /**
     * 获取 [交强险信息标识]脏标记
     */
    @JsonIgnore
    public boolean getJQXXXIdDirtyFlag(){
        return JQXXXIdDirtyFlag ;
    }
    /**
     * 获取 [费率系数]
     */
    public Double getFlxs(){
        return Flxs ;
    }

    /**
     * 设置 [费率系数]
     */
    public void setFlxs(Double  flxs){
        this.Flxs = flxs ;
        this.FlxsDirtyFlag = true ;
    }

    /**
     * 获取 [费率系数]脏标记
     */
    @JsonIgnore
    public boolean getFlxsDirtyFlag(){
        return FlxsDirtyFlag ;
    }
    /**
     * 获取 [基准保费]
     */
    public BigDecimal getJzbf(){
        return Jzbf ;
    }

    /**
     * 设置 [基准保费]
     */
    public void setJzbf(BigDecimal  jzbf){
        this.Jzbf = jzbf ;
        this.JzbfDirtyFlag = true ;
    }

    /**
     * 获取 [基准保费]脏标记
     */
    @JsonIgnore
    public boolean getJzbfDirtyFlag(){
        return JzbfDirtyFlag ;
    }
    /**
     * 获取 [实交保费]
     */
    public BigDecimal getSjbf(){
        return Sjbf ;
    }

    /**
     * 设置 [实交保费]
     */
    public void setSjbf(BigDecimal  sjbf){
        this.Sjbf = sjbf ;
        this.SjbfDirtyFlag = true ;
    }

    /**
     * 获取 [实交保费]脏标记
     */
    @JsonIgnore
    public boolean getSjbfDirtyFlag(){
        return SjbfDirtyFlag ;
    }
    /**
     * 获取 [责任限额]
     */
    public BigDecimal getZrxe(){
        return Zrxe ;
    }

    /**
     * 设置 [责任限额]
     */
    public void setZrxe(BigDecimal  zrxe){
        this.Zrxe = zrxe ;
        this.ZrxeDirtyFlag = true ;
    }

    /**
     * 获取 [责任限额]脏标记
     */
    @JsonIgnore
    public boolean getZrxeDirtyFlag(){
        return ZrxeDirtyFlag ;
    }
    /**
     * 获取 [交强险信息名称]
     */
    public String getJQXXXName(){
        return JQXXXName ;
    }

    /**
     * 设置 [交强险信息名称]
     */
    public void setJQXXXName(String  jQXXXName){
        this.JQXXXName = jQXXXName ;
        this.JQXXXNameDirtyFlag = true ;
    }

    /**
     * 获取 [交强险信息名称]脏标记
     */
    @JsonIgnore
    public boolean getJQXXXNameDirtyFlag(){
        return JQXXXNameDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }
    /**
     * 获取 [条款代码]
     */
    public String getTkdm(){
        return Tkdm ;
    }

    /**
     * 设置 [条款代码]
     */
    public void setTkdm(String  tkdm){
        this.Tkdm = tkdm ;
        this.TkdmDirtyFlag = true ;
    }

    /**
     * 获取 [条款代码]脏标记
     */
    @JsonIgnore
    public boolean getTkdmDirtyFlag(){
        return TkdmDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }
    /**
     * 获取 [条款名称]
     */
    public String getTkmc(){
        return Tkmc ;
    }

    /**
     * 设置 [条款名称]
     */
    public void setTkmc(String  tkmc){
        this.Tkmc = tkmc ;
        this.TkmcDirtyFlag = true ;
    }

    /**
     * 获取 [条款名称]脏标记
     */
    @JsonIgnore
    public boolean getTkmcDirtyFlag(){
        return TkmcDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }
    /**
     * 获取 [车险单标识]
     */
    public String getCIDId(){
        return CIDId ;
    }

    /**
     * 设置 [车险单标识]
     */
    public void setCIDId(String  cIDId){
        this.CIDId = cIDId ;
        this.CIDIdDirtyFlag = true ;
    }

    /**
     * 获取 [车险单标识]脏标记
     */
    @JsonIgnore
    public boolean getCIDIdDirtyFlag(){
        return CIDIdDirtyFlag ;
    }
}

